diff --git a/ompi/mca/mtl/ofi/mtl_ofi_component.c b/ompi/mca/mtl/ofi/mtl_ofi_component.c
index 90be7634522..908be25fbc9 100644
--- a/ompi/mca/mtl/ofi/mtl_ofi_component.c
+++ b/ompi/mca/mtl/ofi/mtl_ofi_component.c
@@ -626,6 +626,10 @@ ompi_mtl_ofi_component_init(bool enable_progress_threads,
         hints->domain_attr->threading = FI_THREAD_DOMAIN;
     }
 
+    if ((MTL_OFI_TAG_AUTO == ofi_tag_mode) || (MTL_OFI_TAG_FULL == ofi_tag_mode)) {
+        hints->domain_attr->cq_data_size = sizeof(int);
+    }
+
     switch (control_progress) {
     case MTL_OFI_PROG_AUTO:
 	hints->domain_attr->control_progress = FI_PROGRESS_AUTO;
